# QuickHashIntStringHash::set

(PECL quickhash >= Unknown)

QuickHashIntStringHash::set — Cette méthode met à jour une entrée dans le hachage avec une nouvelle valeur, ou ajoute une nouvelle entrée si l'entrée n'existe pas

### Description

public QuickHashIntStringHash::set(int `$key`, string `$value`): int

Cette méthode essaie de mettre à jour une entrée avec une nouvelle valeur. Si l'entrée n'existait pas, elle ajoutera une nouvelle entrée. Elle renvoie si l'entrée a été ajoutée ou mise à jour. Si des clés en double sont présentes, seul le premier élément trouvé sera mis à jour. Utilisez QuickHashIntStringHash::CHECK_FOR_DUPES lors de la création du hachage pour empêcher les clés en double de faire partie du hachage.

### Liste de paramètres

`key`

  La clé de l'entrée à ajouter ou mettre à jour.

`value`

  La valeur de l'entrée à ajouter. Si une non chaîne est passée, il sera convertie en chaîne automatiquement si possible.

### Valeurs de retour

2 si l'entrée a été trouvée et mise à jour, 1 si l'entrée a été nouvellement ajoutée ou 0 s'il y a eu une erreur.

### Exemples

Exemple #1 Exemple de QuickHashIntStringHash::set()

`<?php
$hash = new QuickHashIntStringHash( 1024 );
echo "Set->Add\n";
var_dump( $hash->get( 46692 ) );
var_dump( $hash->set( 46692, "sixteen thousand ninety one" ) );
var_dump( $hash->get( 46692 ) );
echo "Set->Update\n";
var_dump( $hash->set( 46692, "twenty nine thousand nine hundred six" ) );
var_dump( $hash->get( 46692 ) );
?>`

Résultat de l'exemple ci-dessus est similaire à :

    Set->Add
    bool(false)
    int(2)
    string(27) "sixteen thousand ninety one"
    Set->Update
    int(1)
    string(37) "twenty nine thousand nine hundred six"